package org.tah.areaCenter;

import java.awt.geom.Point2D;
import java.util.HashMap;

import com.bretth.osmosis.core.domain.v0_5.Node;

public class NodesCoordinates {
	
	static final class Position {
		double lat;
		double lon;
	}
	
	HashMap<Long, Position> nodes = new HashMap<Long, Position>();

	public void add(Node node) {
		Position position = new Position();
		position.lat = node.getLatitude();
		position.lon = node.getLongitude();
		nodes.put(node.getId(), position);
	}
	
	public double getLat(long id) {
		return nodes.get(id).lat;
	}
	
	public double getLon(long id) {
		return nodes.get(id).lon;
	}
	
	public Point2D getPoint(long id) {
		Position pos = nodes.get(id);
		if (pos == null) {
			return null;
		}
		return new Point2D.Double(pos.lat, pos.lon);
	}
	
}	
